Status: Closed Priority: Should have
Author: Georg Ringer Category:
Created: 2010-06-29 Assigned To:
Updated: 2012-01-26 Due date:
Subject: default linkhandler produces error
Description

If using the full.ts example, a linkhandler for tt_news is used. There are quite a few installations which don't use tt_news - therefore the
example shouldn't be enabled as default.

Some possible solutions:
a) Disable the default example
b) Check if $GLOBALS['TCA'][$tableName] exists
c) Check with a query if the table exists.

I am for option b

History
#1 - 2010-07-16 13:25 - Thomas Allmer
- Status changed from New to Needs Feedback

I just tried that and there seems to be a problem with the "loading" order... so if you install tinymce_rte and then tt_news it won't work... the other way
around is fine

I tried this with a simple

if( $TCA['tt_news'] ) {
  //...
}

in ext_tables.php

if you have a solution for that I would certainly integrate it...

#2 - 2011-07-09 16:48 - Marcus Schwemer
- File 8542_v01.diff added
- Status changed from Needs Feedback to Resolved

The linkhandler now checks whether a table exists in TCA. If not, it skips creating links. This catches not only the default config for tt_news, but also
uninstalled extensions (even if the tables still exist).

Patch attached.

Kind regards,
Marcus

You can find the current version also on my github: https://github.com/mschwemer/TYPO3-tinymce_rte

#3 - 2012-01-26 15:45 - Thomas Allmer
- Status changed from Resolved to Closed

Files
